%define qtdir		/usr/lib/qt2
%define KDEDATE		20001017
%define sourcedir	stable/%{version}/distribution/tar/generic/source

Name:		koffice
Icon:		kde-icon.xpm
URL:		http://www.kde.org/
Summary:	Set of office applications for KDE
Version:	2.0
Release:	2mdk
Serial:		8

Source:		ftp://ftp.kde.org/pub/kde/{sourcedir}/koffice-%{KDEDATE}-src.tar.bz2
Patch:		kspread_source2.diff
Group:		Office
Copyright:	GPL
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	kdesupport kdelibs
Obsoletes:	killustrator

%description
Office applications for the K Desktop Environment 2.0.

KOffice contains:
   * KWord: word processor
   * KSpread: spreadsheet
   * KPresenter: presentations
   * KChart: diagram generator

%package devel
Group:		Graphical desktop/KDE
Summary:	Header files for developing koffice applications
Requires:	koffice

%description devel
Header files needed for developing koffice applications.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -nkoffice
%patch -p0

%build
make -f Makefile.cvs
export KDEDIR=%{prefix} QTDIR=%{qtdir}
perl -pi -e "s|-O2|-O3|g" acinclude.m4
CFLAGS="$RPM_OPT_FLAGS -frtti -DNDEBUG" CXXFLAGS="$RPM_OPT_FLAGS -frtti -DNDEBUG" \
	./configure --prefix=%_prefix \
		    --disable-debug \
		    --disable-rpath

%make

%install
make RUN_KAPPFINDER=no DESTDIR=$RPM_BUILD_ROOT install
cd $RPM_BUILD_ROOT
#rm usr/share/icons/locolor/16x16/actions/bottom.png
#rm usr/share/icons/locolor/16x16/actions/top.png
#rm usr/share/icons/locolor/16x16/actions/rotate.png
#rm usr/share/icons/locolor/16x16/actions/wizard.png

##menu entries created
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu


kdedesktop2mdkmenu.pl koffice Office $RPM_BUILD_ROOT/usr/share/applnk/Office/kchart.desktop $RPM_BUILD_ROOT/usr/lib/menu/kchart
kdedesktop2mdkmenu.pl koffice Office $RPM_BUILD_ROOT/usr/share/applnk/Office/killustrator.desktop $RPM_BUILD_ROOT/usr/lib/menu/killustrator
kdedesktop2mdkmenu.pl koffice Office $RPM_BUILD_ROOT/usr/share/applnk/Office/koshell.desktop $RPM_BUILD_ROOT/usr/lib/menu/koshell
kdedesktop2mdkmenu.pl koffice Office $RPM_BUILD_ROOT/usr/share/applnk/Office/kpresenter.desktop $RPM_BUILD_ROOT/usr/lib/menu/kpresenter
kdedesktop2mdkmenu.pl koffice Office $RPM_BUILD_ROOT/usr/share/applnk/Office/kspread.desktop $RPM_BUILD_ROOT/usr/lib/menu/kspread
kdedesktop2mdkmenu.pl koffice Office $RPM_BUILD_ROOT/usr/share/applnk/Office/kword.desktop $RPM_BUILD_ROOT/usr/lib/menu/kword

# Add an icon to Koshell
# Think to remove that when Koshell will have its own icon
perl -pi -e "s|koshell.png|kword.png|" $RPM_BUILD_ROOT/usr/lib/menu/koshell

rm -rf usr/share/applnk

%post
%{update_menus}
/sbin/ldconfig

%postun
%{clean_menus}
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%_libdir/*
%_datadir/*
%_bindir/*

%files devel
%defattr(-,root,root)
%_includedir/*

%changelog
* Thu Oct 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-2mdk
- Applied patch 0 from Laurent for kspread. When code is updated to kde 2.1
  this patch needs to be removed.

* Tue Oct 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-1mdk
- Updated the code to kde 2.0 Release version

* Fri Oct 06 2000 David BAUDENS <baudens@mandrakesoft.com> 1.99-3mdk
- Add an icon for koshell
- Use %%make macros
- Spec clean up
- Really use optimzations

* Wed Oct 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-2mdk
- Udpated from cvs to get in a few code fixes from David Faure for 
  the koshell print problem. Fixes bug #596
- Update approved by QA

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-1mdk
- Updated the code to kde 2.0 Release candidate 1.0

* Mon Oct 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-9mdk
- Updated the code

* Sat Sep 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-8mdk
- Updated the code

* Wed Sep 27 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-7mdk
- Updated the code

* Mon Sep 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-6mdk
- Updated the code

* Sat Sep 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-5mdk
- Updated the code

* Wed Sep 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-4mdk
- Updated the code

* Mon Sep 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-3mdk
- Updated the code

* Fri Sep 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-2mdk
- Updated the code

* Mon Sep 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-1mdk
- Updated the code

* Fri Sep 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-13mdk
- Updated the code

* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-12mdk
- Updated the code

* Tue Sep 05 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-11mdk
- Updated the code

* Sat Sep 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-10mdk
- Updated the code

* Wed Aug 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-9mdk
- Updated the code

* Mon Aug 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-8mdk
- Updated the code

* Fri Aug 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-7mdk
- Updated the code
- Changed menu entires to use the automated translation script

* Thu Aug 24 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-5mdk
- Fixed kchart and graphite menu entries per report from Frederic

* Wed Aug 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-4mdk
- Some changes to the menu entries to make koffice usable

* Tue Aug 22 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-3mdk
- Some changes to the menu entries to make koffice usable

* Tue Aug 22 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-2mdk
- Some changes to the menu entries to make koffice usable
- Fixed serial so the package actually gets accepted

* Mon Aug 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-1mdk
- Updated code

* Sun Aug 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-15mdk
- Updated code

* Wed Aug 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-14mdk
- Updated code

* Mon Aug 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-13mdk
- Updated code

* Thu Aug 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-12mdk
- Updated code

* Wed Aug 09 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-10mdk
- Updated code

* Mon Aug 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-9mdk
- Updated code

* Fri Aug 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-8mdk
- Updated code

* Thu Aug 03 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-7mdk
- Updated code - some fixes on kpresenter by wtrobin.
- added menu entries.
- removed file.list and went to the set list. This will require constant
  checking as there is still development going on.

* Wed Aug 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-6mdk
- Updated code

* Tue Aug 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-4mdk
- last package shouldn't have looked for libkscript repackaged

* Mon Jul 31 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-3mdk
- last package shouldn't have looked for libkscript repackaged

* Sun Jul 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-2mdk
- Updated code

* Sat Jul 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-1mdk
- Updated code

* Fri Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000728mdk
- Updated code

* Wed Jul 26 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000726mdk
- Updated code

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000721mdk
- Updated code

* Thu Jul 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000720mdk
- Updated code

* Mon Jul 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000718mdk
- Updated code snapshot

* Sun Jul 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000717mdk
- Updated code snapshot

* Wed Jul 12 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000712mdk
- Updated code snapshot
- moved to /usr
- Changed package name

* Sat Jul 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000708mdk
- updated code snapshot

* Fri Jun 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000630mdk
- updated code snapshot
- enabled doc compilation

* Wed Jun 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000621mdk
- updated code snapshot

* Tue Jun 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000619mdk
- updated code snapshot

* Sun Jun 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000611mdk
- Updated code for latest snapshot

* Wed May 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000517mdk
- Updated code to get latest snapshot
- Recompiled spec file for Mandrake

* Wed May 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.90

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Sat Oct 23 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- Initial RPM
